### amber-javascript-sdk

`1.0.22`
Need help reading this?

### amber-javascript-sdk

Amber Javascript SDK

amber-javascript-sdk

### AmberClient

AmberClient

new AmberClient(licenseId: any, licenseFile: any)
Parameters
licenseId `(any = `'default'`)`
licenseFile `(any = `"~/.Amber.license"`)`
Static Members
▸ AmberUserException(message)

AmberUserException is used when an AmberClient object can't be constructed.

AmberUserException(message: any)
Parameters
message `(any)`
▸ AmberException(error)

AmberCloudException is used when a an API request fails

AmberException(error: any)
Parameters
error `(any)`
Instance Members
▸ listSensors()

List all sensor instances currently associated with Amber account

listSensors()
▸ getSensor(sensorId)

Get info about a sensor

getSensor(sensorId: any)
Parameters
sensorId `(any)`
▸ createSensor(label)

Create a new sensor instance

createSensor(label: any)
Parameters
label `(any = `undefined`)`
▸ updateLabel(sensorId, label)

Update the label of a sensor instance

updateLabel(sensorId: any, label: any)
Parameters
sensorId `(any)` sensor identifier
label `(any)` new label to assign to sensor
▸ configureSensor(sensorId, featureCount, streamingWindowSize, samplesToBuffer, learningRateNumerator, learningRateDenominator, learningMaxClusters, learningMaxSamples)

Configure an amber sensor instance

configureSensor(sensorId: any, featureCount: any, streamingWindowSize: any, samplesToBuffer: any, learningRateNumerator: any, learningRateDenominator: any, learningMaxClusters: any, learningMaxSamples: any): Promise<unknown>
Parameters
sensorId `(any)`
featureCount `(any = `1`)`
streamingWindowSize `(any = `25`)`
samplesToBuffer `(any = `10000`)`
learningRateNumerator `(any = `10`)`
learningRateDenominator `(any = `10000`)`
learningMaxClusters `(any = `1000`)`
learningMaxSamples `(any = `1000000`)`
Returns
`Promise<unknown>`:
▸ getConfig(sensorId)

Get current sensor configuration

getConfig(sensorId: any): Promise<unknown>
Parameters
sensorId `(any)`
Returns
`Promise<unknown>`:
▸ deleteSensor(sensorId)

Delete an amber sensor instance

deleteSensor(sensorId: any): Promise<unknown>
Parameters
sensorId `(any)`
Returns
`Promise<unknown>`:
▸ streamSensor(sensorId, csv)

Stream data to an amber sensor and return the inference result

streamSensor(sensorId: any, csv: any): Promise<unknown>
Parameters
sensorId `(any)`
csv `(any)`
Returns
`Promise<unknown>`:
▸ getStatus(sensorId)

Get sensor status

getStatus(sensorId: any): Promise<unknown>
Parameters
sensorId `(any)`
Returns
`Promise<unknown>`:
▸ pretrainSensor(sensorId, csv, autotuneConfig)

Pretrain data to an amber sensor

pretrainSensor(sensorId: any, csv: any, autotuneConfig: any): Promise<unknown>
Parameters
sensorId `(any)`
csv `(any)`
autotuneConfig `(any)`
Returns
`Promise<unknown>`:
▸ getPretrainState(sensorId)

Get pretrain status

getPretrainState(sensorId: any): Promise<unknown>
Parameters
sensorId `(any)`
Returns
`Promise<unknown>`:
▸ getRootCause(sensorId)

Get rootcause

getRootCause(sensorId: any): Promise<unknown>
Parameters
sensorId `(any)`
Returns
`Promise<unknown>`:
▸ getVersion()

Get version information for Amber server

getVersion(): Promise<unknown>
Returns
`Promise<unknown>`: